/*

Copyright (C) 2002 J.D. Cole

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Octave; see the file COPYING.  If not, write to the Free
Software Foundation, 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

/*
  $Header: /home/jd/hpo/cvs-root/code/dld-projects/mpi/octave_mpi.h,v 1.3 2002/12/11 08:23:44 jd Exp $
*/

#if !defined(octave_mpi_h)
#define octave_mpi_h 1

#define OCTAVE_MPI_SESSION_VARIABLE_NAME "octave_mpi_session_flag"

enum octave_mpi_tag
{
  OCTAVE_MPI_TAG_SETUP = 1,
  OCTAVE_MPI_TAG_DATA
};

  
bool
octave_mpi_start_session(void);

bool
octave_mpi_verify_session(void);

bool
octave_mpi_end_session(void);

#endif /* octave_mpi_h */

/*
;;; Local Variables: ***
;;; mode: C++ ***
;;; End: ***
*/
